#!/bin/sh
echo Copying the database fork.fdb to $HOME/.local/share/Micont/Fork
mkdir -p $HOME/.local/share/Micont/Fork;
if [ ! -f "$HOME/.local/share/Micont/Fork/fork.fdb" ]; then cp ./fork.fdb $HOME/.local/share/Micont/Fork/fork.fdb; fi

# Устанавливаем пользователя firebird владельцем базы данных fork.fdb
echo Сhanging the owner of the database fork.fdb to the user firebird
sudo chown firebird:firebird $HOME/.local/share/Micont/Fork/fork.fdb

# Добавляем пользователя firebird в первичную группу текущего пользователя
IFS= read primaryGroup << EOF
$(id -gn)
EOF
sudo gpasswd -a firebird $primaryGroup

echo Changing the access permissions of $HOME/.local/share/Micont/Fork folder
sudo chmod g=rwx $HOME
sudo chmod g=rwx $HOME/.local
sudo chmod g=rwx $HOME/.local/share
sudo chmod g=rwx $HOME/.local/share/Micont
sudo chmod g=rwx $HOME/.local/share/Micont/Fork

echo
echo Reboot the operation system!
